=== debian/changelog ===
ros-indigo-velodyne-height-map (0.4.1-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Aug 2013 05:00:00 -0000

ros-indigo-velodyne-height-map (0.4.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 24 Jul 2013 05:00:00 -0000

ros-indigo-velodyne-height-map (0.3.0-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 03 Apr 2012 05:00:00 -0000
