=== debian/control ===
Source: ros-indigo-velodyne-height-map
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-nodelet, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-velodyne-driver, ros-indigo-velodyne-pointcloud
Homepage: http://ros.org/wiki/velodyne_height_map
Standards-Version: 3.9.2

Package: ros-indigo-velodyne-height-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: Obstacle detection for 3D point clouds using a height map algorithm.
